import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPositionLeftBlock: Animatable(0),
  yPositionRightBlock: Animatable(0)
});

export const DelayedAnimation_1: Override = props => {
  data.yPositionLeftBlock.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPositionLeftBlock,
    onTap() {
      animate(data.yPositionLeftBlock, 620).finished;
      setTimeout(() => {
        animate(data.yPositionLeftBlock, startPosition);
      }, 1500);
    }
  };
};

export const DelayedAnimation_2: Override = props => {
  data.yPositionRightBlock.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPositionRightBlock,
    async onTap() {
      await animate(data.yPositionRightBlock, 620).finished;
      await animate.ease(Animatable(0), 1, { duration: 0.5 }).finished;
      animate(data.yPositionRightBlock, startPosition);
    }
  };
};
